<div class="card-outer-wrapper">
        <div class="card-wrapper" 
        [@flip]="showBack ? 'fliped' : 'normal' ">
                <div class="card front" >                       
                    <div class="card-signs">
                        <div class="card-chip">
                            <img src="/images/card_chip.png" alt="">
                        </div>
                        <div class="card-logo">
                            <img src="/images/visa_logo.png" alt="">
                        </div>
                    </div>
                    <div class="card-data">
                        <div class="card-number">
                            <p>5168 7423 4987 3889 </p>
                        </div>
                        <div class="bottom">
                            <div class="card-holder">Jon Doe</div>
                            <div class="card-expire"> 15/20</div>
                        </div>
                    </div>
                   
                </div>

                <div class="card back">                        
                    <div class="strip"></div>
                    <div class="ccv">123</div>
                    <div class="back-logo">
                        <img src="/images/visa_logo.png" alt="">
                    </div>                    
                </div>
        </div>
        <div class="form-wrapper">
        
        <form class="ui form" [formGroup]="form">
            <div class="field" >
                <label>Card number</label>
                <div class="card-number-wrapper" tabindex="0"
                [ngClass]="{'focused-input': focus }"
               >
                    <input type="text" placeholder="1234 1234 1234 1234" class="fake" 
                    (keyup)="onInput($event.target.value)">
                    
                    <!-- <div class="card-number" #cardNumber></div> -->
                    <!-- <ng-template card-number>
                        <div class="card-number"></div>
                    </ng-template> -->
                </div>
                
                <!-- <input #cardNumber type="text" placeholder="Valid Card Number" (blur)="onCardNumberBlur(cardNumber.value)"> -->
            </div>
            <div class="field">
                <label>Card holder</label>
                <input type="text" placeholder="Card holder">
            </div>
            <div class="fields">
                <div class=" twelve wide field">
                    <label>Expiration</label>
                    <!-- <input type="text" placeholder="MM / YY"> -->
                    <div class="two fields">
                        <div class="field">
                            <div class="ui fluid search dropdown selection upward">
                                <input type="hidden" name="gender">
                                <i class="dropdown icon"></i>
                                <div class="default text">Month</div>
                                <div class="menu">
                                    <div class="item" data-value="1">Male</div>
                                    <div class="item" data-value="0">Female</div>
                                </div>
                            </div>
                        </div>
                        <div class="field">
                            <div class="ui dropdown fluid selection">                                               
                                <i class="dropdown icon"></i>
                                <div class="text">Year</div>
                                <div class="menu transition">
                                    <div class="item" data-value="1">2017</div>
                                    <div class="item" data-value="0">2018</div>
                                </div>
                            </div>

                        </div>
                    </div>
                </div>
                <div class="four wide field">
                    <label>CVC</label>
                    <input type="text" placeholder="CVC" (focus)="onFocus()" (blur)="onBlur()">
                </div>
            </div>
        </form>

        </div>
</div>